Make "git diff" use git-sh-setup-script too..

Give a sane error rather than just silently claiming no diffs when
you're not at the top-level directory.
diff --git a/git-diff-script b/git-diff-script
index 020816b..03ed555 100755
--- a/git-diff-script
+++ b/git-diff-script
@@ -1,4 +1,6 @@
 #!/bin/sh
+. git-sh-setup-script || die "Not a git archive"
+
 rev=($(git-rev-parse --revs-only "$@"))
 flags=($(git-rev-parse --no-revs --flags "$@"))
 files=($(git-rev-parse --no-revs --no-flags "$@"))